<?php
/*
Plugin Name: commentDance
Plugin URI: http://code.google.com/p/commentdance/
Description: Turn your blog comments into a conversation swiss army knife.
Version: 0.1
Author: Danish Khan
Author URI: http://danishkhan.zapto.org/wordpress
*/

//using curl sends login and comment information to MessageDance
function dk_doMessageDanceAPIPost($messagedancelogin,$messagedancepw,$messagedanceclient,$messagedancesubject,$messagedancemessage) {
	$url = "http://www.messagedance.com/api/message/new/json";
	$session = curl_init();
	if (!$session) {
		echo "$err_msg ($err_num)<br>\n";
	} else {
		curl_setopt ( $session, CURLOPT_URL, $url );
		curl_setopt ( $session, CURLOPT_HTTPAUTH, CURLAUTH_BASIC );
		curl_setopt ( $session, CURLOPT_HEADER, false );
		curl_setopt ( $session, CURLOPT_USERPWD, $messagedancelogin . ":" . $messagedancepw );
		curl_setopt ( $session, CURLOPT_RETURNTRANSFER, 1 );
		curl_setopt ( $session, CURLOPT_POST, 1);
		curl_setopt ( $session, CURLOPT_POSTFIELDS, "to=$messagedancelogin&client=$messagedanceclient&subject=$messagedancesubject&body=$messagedancemessage");
		$result = curl_exec ( $session );
		echo curl_error($session);
		curl_close( $session );
		//Uncomment this if you need to test the output of commentDance
		//echo( "The result is: ".$result );
	}
}

function dk_createNewMessageDanceUser($blogownermessagedancelogin, $blogownermessagedancepw, $email, $name, $url, $client) {
	$url = "http://www.messagedance.com/api/new_user/json";
	$session = curl_init();
	if (!$session) {
		echo "$err_msg ($err_num)<br>\n";
	} else {
		curl_setopt ( $session, CURLOPT_URL, $url );
		curl_setopt ( $session, CURLOPT_HTTPAUTH, CURLAUTH_BASIC );
		curl_setopt ( $session, CURLOPT_HEADER, false );
		curl_setopt ( $session, CURLOPT_USERPWD, $blogownermessagedancelogin . ":" . $blogownermessagedancepw );
		curl_setopt ( $session, CURLOPT_RETURNTRANSFER, 1 );
		curl_setopt ( $session, CURLOPT_POST, 1);
		curl_setopt ( $session, CURLOPT_POSTFIELDS, "email=$email&name=$name&url=$url&client=$client");
		$result = curl_exec ( $session );
		echo curl_error($session);
		curl_close( $session );
		//Uncomment this if you need to test the output of commentDance
		echo( "The result is: ".$result );
	}
}

//Gets the username, password, and comment from the post on the blog
function dk_dance($comment_ID)  {
	global $wpdb;
	$username = $_POST["messagedancelogin"];
	$password = $_POST["messagedancepw"];
	$_comment = $wpdb->get_row("SELECT * FROM $wpdb->comments WHERE comment_ID = '$comment_ID' and comment_approved = '1' LIMIT 1");
	$body = $_comment->comment_content;
	$author = $_comment->comment_author;
	$authoremail = $_comment->comment_author_email;
	$authorurl = $_comment->comment_author_url;
	$subject = $_comment->comment_author." left a comment on"." ".$_SERVER['HTTP_HOST'];
	$client = "cdance";

	if($_comment->comment_content != ''){
		$sendToMessageDance = dk_doMessageDanceAPIPost($username,$password,$client,$subject,$body);
		$sendToMessageDance = dk_createNewMessageDanceUser($username,$password,$authoremail, $author, $authorurl, $client);
	}

	return $post_ID;
}

//HOOKIES
add_action ( 'comment_post', 'dk_dance');

?>